const Router = require('express').Router;

const router = Router()

const timer = (_req, _res, next) => {
    setTimeout(() => next(), 500)
}

router.use(timer)

router.get(
    '/trips',
    (req, res) =>
        res.send(require(`./json/trips-success.json`))
)

router.get('/trip-cars/:id', (req, response, next) => {

    const { id } = req.params;

    if (id == '1') {
        response.send({
            "success": true,
            "errors": [],
            "warnings": [],
            "body": [{
                key: 1,
                car: 'Mersedes1',
                driver: 'Иванов Иван Иванович',
                telephone: '+7 9600376666',
                upgradeNum: 'Челябинск',
            },
            {
                key: 2,
                car: 'Mersedes2',
                driver: 'Иванов Иван Иванович',
                telephone: '+7 9600376666',
                upgradeNum: 'Челябинск',
            }]
        })
    } else {
        response.send({
            "success": true,
            "errors": [],
            "warnings": [],
            "body": [{
                key: 1,
                car: 'bmw1',
                driver: 'Иванов Иван Иванович',
                telephone: '+7 9600376666',
                upgradeNum: 'Челябинск',
            },
            {
                key: 2,
                car: 'bmw2',
                driver: 'Иванов Иван Иванович',
                telephone: '+7 9600376666',
                upgradeNum: 'Челябинск',
            }]
        })
    }

})

module.exports = router